Bug 2211026 (CVE-2023-2974) - CVE-2023-2974 quarkus-core: TLS protocol configured with quarkus.http.ssl.protocols is not enforced, client can enforce weaker supported TLS protocol
Summary: CVE-2023-2974 quarkus-core: TLS protocol configured with quarkus.http.ssl.pro...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2023-2974
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2211028
TreeView+ depends on / blocked
 
Reported: 2023-05-30 10:14 UTC by Sandipan Roy
Modified: 2023-11-08 16:56 UTC (History)
22 users (show)

Fixed In Version: quarkus 2.13.8
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in quarkus-core. This vulnerability occurs because the TLS protocol configured with quarkus.http.ssl.protocols is not enforced, and the client can force the selection of the weaker supported TLS protocol.
Clone Of:
Environment:
Last Closed: 2023-06-29 16:18:15 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:3809 0 None None None 2023-06-29 11:09:57 UTC

Description Sandipan Roy 2023-05-30 10:14:24 UTC
TLS protocol configured with quarkus.http.ssl.protocols is not enforced, the client can force the selection of the weaker supported TLS protocol

Comment 3 errata-xmlrpc 2023-06-29 11:09:55 UTC
This issue has been addressed in the following products:

  Red Hat build of Quarkus 2.13.8

Via RHSA-2023:3809 https://access.redhat.com/errata/RHSA-2023:3809

Comment 4 Product Security DevOps Team 2023-06-29 16:18:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2023-2974


Note You need to log in before you can comment on or make changes to this bug.